Company logoTrust Center Documentation
API v1 ReferenceIntegrationsNotionExport

Export a Notion page

Export a Notion page as markdown or an attached file. Emits eventName `integrations.notion.export` and failureEventName `integrations.notion.export_failed`.

Export a Notion page as markdown or an attached file. Emits eventName integrations.notion.export and failureEventName integrations.notion.export_failed.

POST
/api/v1/integrations/notion/export

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://app.orbiqhq.com/api/v1/integrations/notion/export" \  -H "Content-Type: application/json" \  -d '{    "pageId": "string"  }'
{
  "success": true,
  "data": {
    "markdown": "# Security Overview",
    "page": {
      "id": "abcd1234",
      "title": "Security Overview",
      "url": "https://www.notion.so/abcd1234",
      "lastEditedTime": "2025-01-01T10:00:00Z"
    },
    "file": null,
    "fileName": null,
    "mimeType": null
  }
}
{
  "error": "string",
  "code": "string",
  "data": {}
}
Empty
{
  "error": "string",
  "code": "string",
  "data": {}
}
{
  "error": "string",
  "code": "string",
  "data": {}
}
Empty

How is this guide?